## kde-runtime 4.13.0

=== knetattach/CMakeLists.txt ===
set(knetattach_SRCS main.cpp knetattach.cpp)


kde4_add_ui_files(knetattach_SRCS knetattach.ui )

kde4_add_app_icon(knetattach_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-knetattach.png")

kde4_add_executable(knetattach ${knetattach_SRCS})

target_link_libraries(knetattach  ${KDE4_KIO_LIBS} )

install(TARGETS knetattach DESTINATION ${LIBEXEC_INSTALL_DIR})


########### install files ###############

install( PROGRAMS knetattach.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}  )

=== ktraderclient/CMakeLists.txt ===
kde4_add_executable(ktraderclient NOGUI ktraderclient.cpp)

target_link_libraries(ktraderclient ${KDE4_KIO_LIBS})

install(TARGETS ktraderclient ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== localization/CMakeLists.txt ===
add_subdirectory(currency)

=== drkonqi/parser/CMakeLists.txt ===
set(BACKTRACEPARSER_SRCS
    backtraceparser.cpp
    backtraceparsergdb.cpp
    backtraceparserkdbgwin.cpp
    backtraceparsernull.cpp
)

kde4_add_library(drkonqi_backtrace_parser STATIC ${BACKTRACEPARSER_SRCS})
target_link_libraries(drkonqi_backtrace_parser ${KDE4_KDECORE_LIBS})

=== kcontrol/componentchooser/CMakeLists.txt ===

add_subdirectory( componentservices ) 
add_subdirectory( windowmanagers ) 



########### next target ###############

set(kcm_componentchooser_SRCS
  componentchooser.cpp
  componentchooserbrowser.cpp
  componentchooserfilemanager.cpp
  componentchooseremail.cpp
  kcm_componentchooser.cpp
)

if(NOT WIN32)
  set(kcm_componentchooser_SRCS ${kcm_componentchooser_SRCS}
    componentchooserterminal.cpp ktimerdialog.cpp)
endif(NOT WIN32)

if(Q_WS_X11)
  set(kcm_componentchooser_SRCS ${kcm_componentchooser_SRCS}
     componentchooserwm.cpp )
endif(Q_WS_X11)


kde4_add_ui_files(kcm_componentchooser_SRCS 
  browserconfig_ui.ui
  filemanagerconfig_ui.ui
  emailclientconfig_ui.ui
  componentchooser_ui.ui
  componentconfig_ui.ui
)

if(NOT WIN32)
  kde4_add_ui_files(kcm_componentchooser_SRCS terminalemulatorconfig_ui.ui wmconfig_ui.ui)
endif(NOT WIN32)

kde4_add_plugin(kcm_componentchooser ${kcm_componentchooser_SRCS})


target_link_libraries(kcm_componentchooser  ${KDE4_KIO_LIBS})

install(TARGETS kcm_componentchooser  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES componentchooser.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kwalletd/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
# Tests don't need to go into toplevel/bin, they are fine in the current dir.
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/..
)

set(kwalletwizardtest_SRCS
   kwalletwizardtest.cpp
   ../kwalletwizard.cpp
)
kde4_add_ui_files(kwalletwizardtest_SRCS
   ../kbetterthankdialogbase.ui
   ../kwalletwizardpageexplanation.ui
   ../kwalletwizardpageintro.ui
   ../kwalletwizardpageoptions.ui
   ../kwalletwizardpagepassword.ui
   ../kwalletwizardpagegpgkey.ui
)

if (QGPGME_FOUND)
    kde4_add_ui_files(kwalletwizardtest_SRCS
        ../kwalletwizardpagepasswordgpg.ui)
endif(QGPGME_FOUND)

kde4_add_executable(kwalletwizardtest TEST ${kwalletwizardtest_SRCS})
target_link_libraries(kwalletwizardtest ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY})
if (QGPGME_FOUND)
    target_link_libraries(kwalletwizardtest ${QGPGME_LIBRARIES})
endif(QGPGME_FOUND)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${KDE4_KDEUI_INCLUDES} ) # for kwallet.h

########### next target ###############

set(kwalletasync_SRCS kwalletasync.cpp kwallettest.cpp )


kde4_add_executable(kwalletasync TEST ${kwalletasync_SRCS})

target_link_libraries(kwalletasync ${KDE4_KDEUI_LIBS} )


########### next target ###############

set(kwalletsync_SRCS kwalletsync.cpp )


kde4_add_executable(kwalletsync TEST ${kwalletsync_SRCS})

target_link_libraries(kwalletsync  ${KDE4_KDEUI_LIBS} )


########### next target ###############

set(kwalletpath_SRCS kwalletpath.cpp )


kde4_add_executable(kwalletpath TEST ${kwalletpath_SRCS})

target_link_libraries(kwalletpath  ${KDE4_KDEUI_LIBS} )


########### next target ###############

set(kwalletboth_SRCS kwalletboth.cpp kwallettest.cpp )


kde4_add_executable(kwalletboth TEST ${kwalletboth_SRCS})

target_link_libraries(kwalletboth  ${KDE4_KDEUI_LIBS} )


########### next target ###############

set(kwalletmany_SRCS kwalletmany.cpp)


kde4_add_executable(kwalletmany TEST ${kwalletmany_SRCS})

target_link_libraries(kwalletmany  ${KDE4_KDEUI_LIBS} )


########### next target ###############

set(kwalletautoclose_SRCS kwalletautoclose.cpp)


kde4_add_executable(kwalletautoclose TEST ${kwalletautoclose_SRCS})

target_link_libraries(kwalletautoclose  ${KDE4_KDEUI_LIBS} )


########### next target ###############

set(kwalletnoautoclose_SRCS kwalletnoautoclose.cpp)


kde4_add_executable(kwalletnoautoclose TEST ${kwalletnoautoclose_SRCS})

target_link_libraries(kwalletnoautoclose  ${KDE4_KDEUI_LIBS} )


########### install files ###############

=== pics/hicolor/CMakeLists.txt ===

########### install files ###############

install( FILES index.theme  DESTINATION  ${ICON_INSTALL_DIR}/hicolor )

=== doc/kcontrol/attica/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/attica)

=== doc/kcontrol/componentchooser/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/componentchooser)

=== doc/kcontrol/cookies/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/cookies)

=== doc/kcontrol/history/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/history)

=== doc/kcontrol/khtml-plugins/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/khtml-plugins)

=== debian/changelog ===
kde-runtime (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:57:18 +0100

kde-runtime (4:4.12.97-0ubuntu3) trusty; urgency=medium

  * Flat diff import upstream git commits since 4.12.97 from KDE/4.13 branch in
    patches/upstream_git.patch (using flat diff because of intermediate merges)
  * Bring back kubuntu_disable-gpg-backend.diff dropped in 4:4.12.97-0ubuntu2
    in a revised, more complete version. In addition to changes brought in by
    upstream_git.patch this should make the disabling work as intended.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 12:38:48 +0200

kde-runtime (4:4.12.97-0ubuntu2) trusty; urgency=medium

  * Drop kubuntu_disable-gpg-backend.diff, causes crashes for
    various users (LP: #1298951)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Apr 2014 14:48:01 +0200

kde-runtime (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:21:51 +0200

kde-runtime (4:4.12.95-0ubuntu2) trusty; urgency=medium

  * Disable the GPG backend since it does not work

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 27 Mar 2014 13:41:03 +0100

kde-runtime (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:23:16 +0100

kde-runtime (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Remove KDERUNTIME_BUILD_NEPOMUK=TRUE so nepomuk isn't build anymore
    and remove the nepomuk related files from the install files
  * Rename 30-nepomuk-inotify-limit.conf to 30-baloo-inotify-limit.conf
  * Don't depend on nepomuk-core-runtime anymore, but still recommend it
    for nepomukbaloomigrator

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 19 Mar 2014 17:04:26 +0100

kde-runtime (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * Update install files
  * Pass KDERUNTIME_BUILD_NEPOMUK=TRUE to cmake to build nepomuk

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:51:27 +0000

kde-runtime (4:4.12.3-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * Drop kubuntu_kde-runtime-4.9.98-kde#310486.patch, KDE Workspace
    will only have bug fix releases, hence this patch is not required

  [ Harald Sitter ]
  * Dep3 for kubuntu_drkonqi_whoopsie_integration.patch

  [ Rohan Garg ]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:43:29 +0100

=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.13.0), libkactivities-dev (>= 4:4.13.0),
 libphonon-dev (>= 4:4.6.0really4.4.3),
 libsmbclient-dev, libsoprano-dev (>= 2.6.50),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
 libasound2-dev (>= 1.0.14a) [linux-any],
 libjpeg-dev, libslp-dev,
 liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
 libqca2-dev,shared-desktop-ontologies (>= 0.7),
 libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
 libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
 libqtwebkit-dev, libqzeitgeist-dev, shared-mime-info,
 libwebp-dev, libboost1.54-dev, libgcrypt11-dev
# for kubuntu_langpack_install.diff
 , libkubuntu-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git

Package: kde-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 kde-runtime-data (>= ${source:Version}), kdelibs5-plugins (>= ${source:Upstream-Version}),
 oxygen-icon-theme (>= 4:4.6),
 shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version}),
 language-selector-common, libqapt2-runtime
Recommends: virtuoso-minimal,
 udisks2, upower, kubuntu-debug-installer, icoutils,
 libcanberra-pulse, nepomuk-core-runtime
Suggests: djvulibre-bin, finger
Replaces: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdebase-runtime (<< 4:4.7.2),
 plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
 kdebase-runtime (<< 4:4.6.80), nepomukcontroller,
 kde-workspace-bin (<< 4:4.9.95), kde-runtime-data (<< 4:4.10.80),
 plasma-active (<< 3.0-0ubuntu2~)
Breaks: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdebase-runtime (<< 4:4.7.2),
 plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
 kdebase-runtime (<< 4:4.6.80), nepomukcontroller,
 kde-workspace-bin (<< 4:4.9.95), kde-runtime-data (<< 4:4.10.80),
 plasma-active ( << 3.0-0ubuntu2~)
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-runtime
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdebase-runtime-data (<< 4:4.7.2), kde-workspace-bin (<< 4:4.10),
 kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
 plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
 kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.10.80)
Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdebase-runtime-data (<< 4:4.7.2), kde-workspace-bin (<< 4:4.10),
 kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
 plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
 kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.10.80)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: khelpcenter, kde-runtime-data (<< 4:4.10.80)
Breaks: khelpcenter, kde-runtime-data (<< 4:4.10.80)
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma
 workspaces and applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kde-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime (= ${binary:Version}), kdelibs5-dbg
Replaces: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Breaks: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Conflicts: kdelibs-dbg
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kde-runtime.
 They will automatically be used by gdb for debugging kde-runtime related
 issues.

Package: kdebase-runtime-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Description: transitional package for kde-runtime-dbg
 This is a dummy transitional package for kde-runtime-dbg and can be safely
 removed after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/attica_kde.so

override_dh_shlibdeps:
	$(overridden_command) -pplasma-scriptengine-javascript -- \
		-xkdebase-runtime -xkde-runtime
	$(overridden_command) -pkde-runtime -- -xkdebase-runtime
	$(overridden_command) --remaining-packages

override_dh_fixperms:
	$(overridden_command) -Xusr/lib/kde4/libexec/kdesud

override_dh_strip:
	$(overridden_command) --dbg-package=kde-runtime-dbg

## kde-runtime 4.13.3

=== doc/CMakeLists.txt ===
if ( UNIX )
   add_subdirectory(kdesu)
endif ( UNIX )

add_subdirectory(kcontrol)
add_subdirectory(glossary)
add_subdirectory(kdebugdialog)
add_subdirectory(khelpcenter)
add_subdirectory(kioslave)
add_subdirectory(knetattach)
if (NOT WIN32 AND KDERUNTIME_BUILD_NEPOMUK)
   add_subdirectory(nepomuk)
endif ()
add_subdirectory(onlinehelp)
add_subdirectory(documentationnotfound)
add_subdirectory(fundamentals)
add_subdirectory(plasmapkg)

=== kdebugdialog/CMakeLists.txt ===




########### next target ###############

set(kdebugdialog_SRCS 
   main.cpp 
   kabstractdebugdialog.cpp 
   kdebugdialog.cpp 
   klistdebugdialog.cpp )

kde4_add_ui_files(kdebugdialog_SRCS kdebugdialog.ui)

kde4_add_executable(kdebugdialog ${kdebugdialog_SRCS})

target_link_libraries(kdebugdialog  ${KDE4_KDEUI_LIBS} )

install(TARGETS kdebugdialog ${INSTALL_TARGETS_DEFAULT_ARGS})

=== nepomuk/CMakeLists.txt ===
project(nepomuk)

# disable deprecated libnepomuk stuff for less compiler warnings
add_definitions(-DDISABLE_NEPOMUK_LEGACY=1)

find_package(Soprano REQUIRED)
include(SopranoAddOntology)

include_directories(
  ${SOPRANO_INCLUDE_DIR}
  ${NEPOMUK_CORE_INCLUDE_DIR}
)

add_subdirectory(kcm)
add_subdirectory(kioslaves)

=== solid-device-automounter/CMakeLists.txt ===
project(device_automounter)

include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/lib)

set(device_automounter_lib_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/lib/AutomounterSettings.cpp)

add_subdirectory(kcm)
add_subdirectory(kded)

=== attica/kdeplugin/CMakeLists.txt ===
################# KDE PLUGIN for LibAttica #################

set(attica_kde_SRCS
    kdeplatformdependent.cpp
)

kde4_add_plugin(attica_kde ${attica_kde_SRCS})
target_link_libraries(attica_kde ${KDE4_KIO_LIBS} ${QT_QTMAIN_LIBRARY} ${QT_QTCORE_LIBRARY} ${KDE4_KCMUTILS_LIBS} )
install(TARGETS attica_kde EXPORT kdelibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kcontrol/icons/CMakeLists.txt ===

add_subdirectory(tests)

########### next target ###############

set(kcm_icons_PART_SRCS iconthemes.cpp icons.cpp main.cpp )


kde4_add_plugin(kcm_icons ${kcm_icons_PART_SRCS})


target_link_libraries(kcm_icons ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBS})

install(TARGETS kcm_icons  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES icons.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES icons.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

=== kioslave/about/CMakeLists.txt ===




########### next target ###############

set(kio_about_PART_SRCS kio_about.cpp )


kde4_add_plugin(kio_about ${kio_about_PART_SRCS})


target_link_libraries(kio_about  ${KDE4_KIO_LIBS} )

install(TARGETS kio_about  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES about.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kioslave/cgi/CMakeLists.txt ===


add_subdirectory( kcmcgi ) 



########### next target ###############

set(kio_cgi_PART_SRCS cgi.cpp )


kde4_add_plugin(kio_cgi ${kio_cgi_PART_SRCS})


target_link_libraries(kio_cgi  ${KDE4_KIO_LIBS} )

install(TARGETS kio_cgi  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES cgi.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kioslave/info/CMakeLists.txt ===




########### next target ###############

set(kio_info_PART_SRCS info.cc )


kde4_add_plugin(kio_info ${kio_info_PART_SRCS})


target_link_libraries(kio_info  ${KDE4_KIO_LIBS} )

install(TARGETS kio_info  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES kde-info2html.conf DESTINATION  ${DATA_INSTALL_DIR}/kio_info )
install( FILES info.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS kde-info2html DESTINATION  ${DATA_INSTALL_DIR}/kio_info )

=== kioslave/trash/CMakeLists.txt ===
add_subdirectory(tests)

set (trashcommon_PART_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/trashimpl.cpp
                           ${CMAKE_CURRENT_SOURCE_DIR}/discspaceutil.cpp
                           ${CMAKE_CURRENT_SOURCE_DIR}/trashsizecache.cpp
                           ${CMAKE_CURRENT_SOURCE_DIR}/kinterprocesslock.cpp
    )

########### next target ###############

if(WIN32)
  set(kio_trash_PART_SRCS kio_trash_win.cpp kio_trash_win.h)
else(WIN32)
  set(kio_trash_PART_SRCS kio_trash.cpp ${trashcommon_PART_SRCS})
endif(WIN32)

if(NOT MINGW)
kde4_add_plugin(kio_trash ${kio_trash_PART_SRCS})


target_link_libraries(kio_trash  ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS})

install(TARGETS kio_trash  DESTINATION ${PLUGIN_INSTALL_DIR} )
endif(NOT MINGW)
########### next target ###############

set(ktrash_SRCS ktrash.cpp )


kde4_add_executable(ktrash NOGUI ${ktrash_SRCS})

target_link_libraries(ktrash  ${KDE4_KIO_LIBS} )

install(TARGETS ktrash ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

# currently not on win32, TODO!
if(NOT WIN32)
    set(kcm_trash_PART_SRCS kcmtrash.cpp ${trashcommon_PART_SRCS})
    kde4_add_plugin(kcm_trash ${kcm_trash_PART_SRCS})
    target_link_libraries(kcm_trash  ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS})

    install(TARGETS kcm_trash DESTINATION ${PLUGIN_INSTALL_DIR})
endif(NOT WIN32)

########### install files ###############

install( FILES trash.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kcmtrash.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== kurifilter-plugins/localdomain/CMakeLists.txt ===
set(localdomainurifilter_PART_SRCS localdomainurifilter.cpp )

kde4_add_plugin(localdomainurifilter ${localdomainurifilter_PART_SRCS})

target_link_libraries(localdomainurifilter ${KDE4_KIO_LIBS})

install(TARGETS localdomainurifilter DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES localdomainurifilter.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== phonon/kcm/CMakeLists.txt ===
macro_optional_find_package(PulseAudio 0.9.16)
set_package_properties(PulseAudio PROPERTIES DESCRIPTION "PulseAudio Audio Server"
                       URL "http://www.pulseaudio.org/"
                       TYPE OPTIONAL
                       PURPOSE "libpulse is needed for audio setup GUI"
                      )

find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES DESCRIPTION "Low-level core library for data structure handling, portability wrappers, etc."
                       URL "http://www.gtk.org"
                       TYPE OPTIONAL
                      )

pkg_check_modules(CANBERRA libcanberra)
add_feature_info ("Audio setup GUI" CANBERRA_FOUND
                  "libcanberra is needed for audio setup GUI
                  * http://0pointer.de/lennart/projects/libcanberra"
                 )

set(kcmphonon_SRCS main.cpp devicepreference.cpp backendselection.cpp)
kde4_add_ui_files(kcmphonon_SRCS devicepreference.ui backendselection.ui)
set(kcmphonon_LIBS ${KDE4_PHONON_LIBS} ${KDE4_KCMUTILS_LIBS} ${KDE4_KIO_LIBS})

if(GLIB2_FOUND AND PULSEAUDIO_FOUND AND CANBERRA_FOUND)
  add_definitions(-DHAVE_PULSEAUDIO)

  set(kcmphonon_SRCS ${kcmphonon_SRCS} audiosetup.cpp testspeakerwidget.cpp)
  kde4_add_ui_files(kcmphonon_SRCS audiosetup.ui)

  include_directories(${GLIB2_INCLUDE_DIR} ${PULSEAUDIO_INCLUDE_DIR} ${CANBERRA_INCLUDE_DIRS})

  set(kcmphonon_LIBS ${kcmphonon_LIBS} ${GLIB2_LIBRARIES} ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${CANBERRA_LIBRARIES})
endif(GLIB2_FOUND AND PULSEAUDIO_FOUND AND CANBERRA_FOUND)

kde4_add_plugin(kcm_phonon ${kcmphonon_SRCS})
target_link_libraries(kcm_phonon ${kcmphonon_LIBS})

install(TARGETS kcm_phonon  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############
install( FILES kcm_phonon.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install(FILES listview-background.png DESTINATION ${DATA_INSTALL_DIR}/kcm_phonon)
install(FILES devicepreference.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

########### update helper ###############
kde4_add_executable(phonon_devicepreference_update devicepreference_update.cpp)
target_link_libraries(phonon_devicepreference_update ${KDE4_KDECORE_LIBS})
install(TARGETS phonon_devicepreference_update DESTINATION ${LIB_INSTALL_DIR}/kconf_update_bin)

kde4_add_executable(phonon_deviceuids_update deviceuids_update.cpp)
target_link_libraries(phonon_deviceuids_update ${KDE4_KDECORE_LIBS})
install(TARGETS phonon_deviceuids_update DESTINATION ${LIB_INSTALL_DIR}/kconf_update_bin)

=== debian/changelog ===
kde-runtime (4:4.13.3-0ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_CVE-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2014 15:36:39 +0100

kde-runtime (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)
  * Version khelpcenter4->khelpcenter breaks/replaces to only affect << 4:4.0
    for smooth plasma5 upgrades

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:27:16 +0200

kde-runtime (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)
    - fix kioslave doc install dir in kde-runtime-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:48:16 +0200

kde-runtime (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:51:18 +0200

kde-runtime (4:4.13.0-0ubuntu1.1) trusty; urgency=medium

  * Update kubuntu_langpack_install.diff from git clone. Make sure that
    writeEnv is called independent of kdebug as kdebug lines would not get
    executed unless debug is actually enabled at runtime LP: #1317115 

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 08 May 2014 17:34:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.13.0), libkactivities-dev (>= 4:4.13.0),
+ kdepimlibs5-dev (>= 4:4.13.3), libkactivities-dev (>= 4:4.13.3),
  libphonon-dev (>= 4:4.6.0really4.4.3),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
@@ -114,8 +114,8 @@
 Package: khelpcenter4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: khelpcenter, kde-runtime-data (<< 4:4.10.80)
-Breaks: khelpcenter, kde-runtime-data (<< 4:4.10.80)
+Replaces: khelpcenter (<< 4:4.0), kde-runtime-data (<< 4:4.10.80)
+Breaks: khelpcenter (<< 4:4.0), kde-runtime-data (<< 4:4.10.80)
 Description: help center
  The KDE Help Center displays documentation on how to use the KDE plasma
  workspaces and applications, as well as UNIX man and info pages.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kde-runtime-([\d\.]*).tar.xz

## kde-runtime 4.14.1

=== debian/changelog ===
kde-runtime (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add missing qwant searchproviders files to install file. 
  * wrap-and-sort 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:06:28 +0200

kde-runtime (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:49:02 +0200

kde-runtime (4:4.13.97-0ubuntu4) utopic; urgency=medium

  * Bump kde-runtime-data breaks/replaces kde-runtime version for the SRU
    updates 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 12 Aug 2014 22:08:00 +0200

kde-runtime (4:4.13.97-0ubuntu3) utopic; urgency=medium

  * Bump khelpcenter4 replaces/breaks kde-runtime-data version for
    updates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 20:03:22 +0200

kde-runtime (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Add breaks/replaces on old kde-runtime-data for overlapping
    othercontrolmodules.desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Aug 2014 17:25:20 +0200

kde-runtime (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:36:31 +0200

kde-runtime (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Harald Sitter ]
  * Version khelpcenter4->khelpcenter breaks/conflicts to only affect << 4:4.0

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:06:07 +0200

kde-runtime (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Removed version from libkactivities-dev depend as it has not been updated.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 13:01:17 -0700

kde-runtime (4:4.13.2-0ubuntu5) utopic; urgency=medium

  * kde-runtime-data Breaks/Replaces kde-runtime (LP: #1331840)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jun 2014 19:22:44 +0200

kde-runtime (4:4.13.2-0ubuntu4) utopic; urgency=medium

  * khelpcenter4 breaks/replaces kde-runtime-data << 4:4.13.2-0ubuntu3~ 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 19 Jun 2014 10:28:47 +0200

kde-runtime (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * Remove khelpcentre files in kde-runtime-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jun 2014 09:00:26 +0100

kde-runtime (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Update kde-runtime-data.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 14:58:28 +0100

kde-runtime (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, remaining changes:
    - Add patches
      + kubuntu_langpack_install.diff
      + kubuntu_nodisplay_knetattach.diff
      + kubuntu_shutup_shutup_shutup.diff
    - debian/control:
      + Depend on boost 1.55
      + Add build-dep on libkubuntu-dev
      + kde-runtime depends on language-selector-common, libqapt2-runtime
      + add udisks, upower, kubuntu-debug-installer, icoutils,
       libcanberra-pulse | libcanberra-gstreamer to kde-runtime recommends
      + helpcenter4 no recommend on htdig
    - debian/kde-runtime-data.install:
      + change etc/xdg/menus/kde4-information.menu to
        etc/xdg/menus/kde-information.menu
      + change usr/share/desktop-directories/kde4-information.directory to
        usr/share/desktop-directories/kde-information.directory
      + Don't install
        usr/share/kde4/apps/kio_desktop/DesktopLinks/Home.desktop
      + Don't install usr/share/kde4/apps/kio_desktop/directory.trash
      + install plasma active QML components and remove from not-installed
    - debian/kde-runtime.install
      + install usr/lib/kde4/libexec/kdesu to
        /usr/lib/kde4/libexec/kdesu-distrib/
      + install 30-nepomuk-inotify-limit.conf to /etc/sysctl.d
    - add 30-nepomuk-inotify-limit.conf

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:41:03 +0100

kde-runtime (4:4.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies.
  * Update kde-runtime dependencies.
  * Update install files.
  * New patch: disable_kwalletd_autotests

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:19:23 +0200

kde-runtime (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Build against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 21:58:57 +0100

kde-runtime (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.
  * New patch: disable_flacky_tests

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:17 +0200

kde-runtime (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:51 +0100

kde-runtime (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:18 +0100

kde-runtime (4:4.11.5-1) unstable; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Update Standards-Version to 3.9.5, no changes required.
  * Add basic support for autopkgtest.
  * Add use_the_correct_locale.patch to use C.UTF-8 as locale on testtrash.cpp.
  * Patch testtrash.cpp to use a more commonly available directory for the
    test (use_always_present_path_to_test.patch).
  * Add XS-Testsuite: autopkgtest, this package can be now tested.

  [ Maximiliano Curia ]
  * New patch: kshorturifilter_qgetenv_calling_error.diff

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jan 2014 14:43:04 -0300

kde-runtime (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 17:15:41 +0100



=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdepimlibs5-dev (>= 4:4.14.1),
               kdoctools (>= 4:4.11),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libattica-dev (>= 0.1.4),
               libboost1.55-dev,
               libbz2-dev,
               libcanberra-dev,
               libexiv2-dev (>= 0.12),
               libgcrypt20-dev,
               libgpgme11-dev,
               libjpeg-dev,
               libkactivities-dev,
               libkubuntu-dev,
               liblzma-dev,
               libnm-util-dev (>= 0.7)  [linux-any],
               libntrack-qt4-dev [linux-any],
               libopenexr-dev,
               libphonon-dev (>= 4:4.6.0really4.4.3),
               libpulse-dev (>= 0.9.16),
               libqca2-dev (>= 2.0.0),
               libqtwebkit-dev,
               libqzeitgeist-dev,
               libslp-dev,
               libsmbclient-dev,
               libssh-dev (>= 0.4.0),
               libwebp-dev,
               libx11-dev,
               libxcursor-dev,
               network-manager-dev (>= 0.7.0) [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-runtime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-runtime.git

Package: kde-runtime
Architecture: any
Depends: kde-runtime-data (>= ${source:Version}),
         kdelibs5-plugins (>= ${source:Upstream-Version}),
         language-selector-common,
         libqapt2-runtime,
         oxygen-icon-theme (>= 4:4.6),
         plasma-scriptengine-javascript (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: icoutils,
            kubuntu-debug-installer,
            libcanberra-pulse | libcanberra-gstreamer,
            udisks2,
            upower
Suggests: djvulibre-bin, finger
Replaces: kde-runtime-data (<< 4:4.13.97),
          kdebase-runtime (<< 4:4.7.2),
          kdebase-runtime-bin-kde4,
          kdebase-workspace-bin (<< 4:4.6),
          kdebluetooth (<< 1.0~beta7-1),
          kdelibs5-plugins (<< 4:4.5),
          plasma-netbook (<< 4:4.5.95)
Breaks: kde-runtime-data (<< 4:4.13.97),
        kdebase-runtime (<< 4:4.7.2),
        kdebase-runtime-bin-kde4,
        kdebase-workspace-bin (<< 4:4.6),
        kdebluetooth (<< 1.0~beta7-1),
        kdelibs5-plugins (<< 4:4.5),
        plasma-netbook (<< 4:4.5.95)
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-runtime, ${misc:Depends}
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Replaces: kcontrol,
          kde-runtime (<< 4:4.13.90),
          kde-workspace-bin (<< 4:4.10),
          kdebase-bin-kde3,
          kdebase-kio-plugins,
          kdebase-runtime-data (<< 4:4.7.2),
          kdebase-runtime-data-common,
          kdebase-workspace-bin (<< 4:4.5.95),
          kdelibs5-data (<< 4:4.5),
          plasma-netbook (<< 4:4.5.95),
          plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Breaks: kcontrol,
        kde-runtime (<< 4:4.13.90),
        kde-workspace-bin (<< 4:4.10),
        kdebase-bin-kde3,
        kdebase-kio-plugins,
        kdebase-runtime-data (<< 4:4.7.2),
        kdebase-runtime-data-common,
        kdebase-workspace-bin (<< 4:4.5.95),
        kdelibs5-data (<< 4:4.5),
        plasma-netbook (<< 4:4.5.95),
        plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-runtime-data (<< 4:4.13.90), khelpcenter (<< 4:4.0.0)
Breaks: kde-runtime-data (<< 4:4.13.90), khelpcenter (<< 4:4.0.0)
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma
 workspaces and applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kde-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kde-runtime (= ${binary:Version}), kdelibs5-dbg, ${misc:Depends}
Replaces: kdebase-runtime-dbg (<< 4:4.7.2),
          kdebase-workspace-dbg (<< 4:4.6),
          kdelibs5-dbg (<< 4:4.5)
Breaks: kdebase-runtime-dbg (<< 4:4.7.2),
        kdebase-workspace-dbg (<< 4:4.6),
        kdelibs5-dbg (<< 4:4.5)
Conflicts: kdelibs-dbg
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kde-runtime.
 They will automatically be used by gdb for debugging kde-runtime related
 issues.

Package: kdebase-runtime-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: kde-runtime-dbg, ${misc:Depends}
Description: transitional package for kde-runtime-dbg
 This is a dummy transitional package for kde-runtime-dbg and can be safely
 removed after the installation is complete.
